<?php

namespace Drupal\layout_builder_base_library\Plugin\Layout;

/**
 * Configurable layout plugin class.
 *
 * @internal
 *   Plugin classes are internal.
 */
class BaseTwoColumnsLayout extends BaseMultipleColumnsLayout {

  /**
   * {@inheritdoc}
   */
  public function build(array $regions) {
    $build = parent::build($regions);
    $build['#attributes']['class'][] = 'layout-builder-base--two-columns';
    return $build;
  }

  /**
   * {@inheritdoc}
   */
  protected function getColumnWidthOptions() {
    return [
      'layout--column-width--default' => $this->t('Default'),
      'layout--column-width--33-66' => $this->t('33% - 66%'),
      'layout--column-width--66-33' => $this->t('66% - 33%'),
    ];
  }

}
